from .core import JsonData
from .remove import remove_items_if


COMMENTS_MARKER = "#"


def is_comment(s: str, marker=COMMENTS_MARKER):
    return isinstance(s, str) and s.strip().startswith(marker)


def is_not_comment(s: str, marker=COMMENTS_MARKER):
    return not is_comment(s, marker=marker)


def remove_comments(data: JsonData) -> JsonData:
    """
    Remove any dict keys or list elements starting with a comment marker ("#" by default).
    """
    return remove_items_if(data, remove_dict_key_if=is_comment, remove_list_elem_if=is_comment)
