function _axii_auto_env_refresh()
{
    shcommand="$HOME/.cache/axii/cached_command.sh"
    shcommand_tmp="$shcommand~"

    if mv "$shcommand" "$shcommand_tmp" 2> /dev/null; then
        source "$shcommand_tmp"
        rm "$shcommand_tmp"
    fi

    # Auto-activate behaviour if current working directory is an Axii workspace.
    if _axii_fast_config global_config auto_activate_workspace > /dev/null 2>&1; then
        cwd="$(pwd 2> /dev/null)"

        # Iterate known workspaces.
        for ws_path in $(_axii_fast_config known_workspaces "[].path" 2> /dev/null); do
            # If current working directory is a subdirectory in the current known workspace.
            if [[ $cwd/ = $ws_path/* ]]; then
                if [[ -n "$ARMARX_WORKSPACE" ]]; then
                    # If a workspace is already active, deactivate it and run _axii_auto_env_refresh again after
                    # ARMARX_WORKSPACE has been cleared.
                    if [[ "$ARMARX_WORKSPACE" != "$ws_path" ]]; then
                        axii workspace deactivate
                        _axii_auto_env_refresh
                        return
                    fi
                else
                    export ARMARX_WORKSPACE="$ws_path"
                fi
            fi
        done
    fi

    if [ -f "$ARMARX_WORKSPACE/armarx-workspace.rc" ]; then
        source "$ARMARX_WORKSPACE/armarx-workspace.rc" 2> /dev/null 2>&1
    fi
}
